Bug 26602 - Datatables - Actions columns should not be exported
Summary: Datatables - Actions columns should not be exported
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27646
  Show dependency treegraph
 
Reported: 2020-10-02 10:23 UTC by Jonathan Druart
Modified: 2021-02-23 19:21 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 26602: Don't export "actions" column (46.49 KB, patch)
2021-01-18 10:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26602: Don't export "actions" column (47.01 KB, patch)
2021-01-18 14:10 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 26602: Don't export "actions" column (47.07 KB, patch)
2021-02-05 19:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26602: (QA follow-up) Cleanup datatables settings (3.85 KB, patch)
2021-02-05 19:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26602: [20.05.x] Don't export "actions" column (47.41 KB, patch)
2021-02-23 13:35 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26602: [20.05.x] Don't export "actions" column (47.41 KB, patch)
2021-02-23 16:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26602:[20.05.x] Remove stray merge marker (1.06 KB, patch)
2021-02-23 19:21 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-10-02 10:23:42 UTC
th should contain the NoExport class to prevent these columns to be exported.
Comment 1 Jonathan Druart 2021-01-18 10:19:04 UTC
It's "noExport".
Comment 2 Jonathan Druart 2021-01-18 10:28:39 UTC
Created attachment 115237 [details] [review]
Bug 26602: Don't export "actions" column

This patch add the noExport class to all "Actions" columns in the
codebase.
It's a stupid search and replace, maybe the class is added to table
where there is no export button.

Test plan:
Search tables where the export button is available. Confirm that the
"Actions" columns is not exported.
Example: /admin/branches.pl, /admin/cities.pl
Comment 3 PTFS Europe Sandboxes 2021-01-18 14:10:58 UTC
Created attachment 115249 [details] [review]
Bug 26602: Don't export "actions" column

This patch add the noExport class to all "Actions" columns in the
codebase.
It's a stupid search and replace, maybe the class is added to table
where there is no export button.

Test plan:
Search tables where the export button is available. Confirm that the
"Actions" columns is not exported.
Example: /admin/branches.pl, /admin/cities.pl

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Nick Clemens 2021-02-05 19:18:04 UTC
Created attachment 116433 [details] [review]
Bug 26602: Don't export "actions" column

This patch add the noExport class to all "Actions" columns in the
codebase.
It's a stupid search and replace, maybe the class is added to table
where there is no export button.

Test plan:
Search tables where the export button is available. Confirm that the
"Actions" columns is not exported.
Example: /admin/branches.pl, /admin/cities.pl

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2021-02-05 19:18:06 UTC
Created attachment 116434 [details] [review]
Bug 26602: (QA follow-up) Cleanup datatables settings

On letter.tt we had nosort and set things via settings that are default in KohaTable so removed
those from letter.js. Also made the last updated column exportable

On upload.tt the noExport didn't do anything, because we couldn't export, so moved to used KohaTable

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-02-08 13:57:26 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-02-12 13:02:58 UTC
Pushed to 20.11.x for 20.11.03
Comment 8 Andrew Fuerste-Henry 2021-02-17 20:21:05 UTC
Doesn't apply cleanly to 20.05. Please rebase if needed
Comment 9 Nick Clemens 2021-02-23 13:35:53 UTC
Created attachment 117203 [details] [review]
Bug 26602: [20.05.x] Don't export "actions" column

This patch add the noExport class to all "Actions" columns in the
codebase.
It's a stupid search and replace, maybe the class is added to table
where there is no export button.

Test plan:
Search tables where the export button is available. Confirm that the
"Actions" columns is not exported.
Example: /admin/branches.pl, /admin/cities.pl

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Bug 26602: (QA follow-up) Cleanup datatables settings

On letter.tt we had nosort and set things via settings that are default in KohaTable so removed
those from letter.js. Also made the last updated column exportable

On upload.tt the noExport didn't do anything, because we couldn't export, so moved to used KohaTable

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Nick Clemens 2021-02-23 16:05:57 UTC
Created attachment 117212 [details] [review]
Bug 26602: [20.05.x] Don't export "actions" column

This patch add the noExport class to all "Actions" columns in the
codebase.
It's a stupid search and replace, maybe the class is added to table
where there is no export button.

Test plan:
Search tables where the export button is available. Confirm that the
"Actions" columns is not exported.
Example: /admin/branches.pl, /admin/cities.pl

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Bug 26602: (QA follow-up) Cleanup datatables settings

On letter.tt we had nosort and set things via settings that are default in KohaTable so removed
those from letter.js. Also made the last updated column exportable

On upload.tt the noExport didn't do anything, because we couldn't export, so moved to used KohaTable

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Bug 26602: Rebase fixes
Comment 11 Andrew Fuerste-Henry 2021-02-23 17:02:02 UTC
Pushed to 20.05.x for 20.05.09
Comment 12 Victor Grousset/tuxayo 2021-02-23 17:20:59 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.
Comment 13 Andrew Fuerste-Henry 2021-02-23 19:21:21 UTC
Created attachment 117216 [details] [review]
Bug 26602:[20.05.x] Remove stray merge marker